### Function

# Shumate VectorValue new_boolean

since: 1.6

#### Declaration [src]

    ShumateVectorValue*
    shumate_vector_value_new_boolean (
      gboolean boolean
    )

#### Description [src]

Creates a new `ShumateVectorValue` with a boolean value.

Available since: 1.6

#### Parameters

`boolean`

  Type: `gboolean`

  A boolean value.

#### Return value

Type: `ShumateVectorValue`

A new `ShumateVectorValue` with the given boolean value.

The caller of the function takes ownership of the data, and is responsible for freeing it.